Changes between Version 6 and Version 7 of ndg_security


Ignore:
Timestamp:
19/10/10 10:03:26 (9 years ago)
Author:
pjkersha
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • ndg_security

    v6 v7  
    99 
    1010== Source == 
    11 Code is maintained in a [source:TI12-security/trunk/NDGSecurity/python SubVersion Repository].   
     11Code is maintained in a SubVersion Repository.  Access the [source:TI12-security/trunk/NDGSecurity/python trunk].   
     12 
     13== Requirements == 
     14The code base has been tested on a variety of Linux distributions including Ubuntu and SUSE.  Python 2.6 is required for the `ndg_security` version 2.0.0.  The 1.5.x branch works with Python 2.5. 
    1215 
    1316== Releases == 
     17Code is released as Python eggs and uploaded to the NERC DataGrid Python distributions repository at http://ndg.nerc.ac.uk/dist/. 
     18 
    1419=== 2.0.0 === 
    1520Adds integration with XACML 2.0 implementation [wiki:XACML ndg_xacml], and SAML authorisation service interface. 
     
    1823Maintained for some existing deployments.  Uses custom authorisation interface. 
    1924 
     25See [source:/TI12-security/branches/ndg-security-1.5.x here] for SubVersion development branch.  Releases 
     26 
    2027== Installation == 
     28Code can be installed from the NDG distributions repository e.g. 
     29{{{ 
     30$ easy_install ndg_security 
     31}}} 
     32To pick up unit and integration tests: 
     33{{{ 
     34$ easy_install ndg_security_test 
     35}}} 
     36 
    2137=== Server-side === 
    2238For server side components, the recommended configuration is with `mod_wsgi` with Apache2: